"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a Object.
 */
class ObjectLiteralMutator {
    constructor() {
        this.name = 'ObjectLiteral';
    }
    mutate(node) {
        return types.isObjectExpression(node) && node.properties.length > 0
            ? [[node, { raw: '{}' }]] // raw string replacement
            : [];
    }
}
exports.default = ObjectLiteralMutator;
//# sourceMappingURL=ObjectLiteralMutator.js.map